<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright © 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: admin.php
| CVS Version: 1.0.0
| Author: Dennis Vorpahl
| Email: info@meinweb.net
| Support: http://webmaster.meinweb.net
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

if (!checkrights("UIF") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."userfelder_im_forum/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."userfelder_im_forum/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."userfelder_im_forum/locale/German.php";
}

if(isset($_GET['userfields']) && isnum($_GET['userfields'])){
	foreach($_POST as $key => $value) {
		if(isnum($value)) dbquery("UPDATE ".DB_USER_FIELDS." SET field_forum='".$value."' WHERE field_name='".mysql_real_escape_string($key)."'");
	}
}

opentable($locale['UIF_admin1']);
$result=dbquery("SELECT field_name, field_forum FROM ".DB_USER_FIELDS);
echo "<form name='userfields' method='post' action='".FUSION_SELF.$aidlink."&userfields=1'>\n";
echo "<p>0=nie pokazuj , 1=pokazuj</p>\n";
echo "<table>\n";
while($data=dbarray($result)){
	if (file_exists(LOCALE.LOCALESET."user_fields/".$data['field_name'].".php")){
		include LOCALE.LOCALESET."user_fields/".$data['field_name'].".php";
	}
	if (file_exists(INCLUDES."user_fields/".$data['field_name']."_include_var.php")){
		include INCLUDES."user_fields/".$data['field_name']."_include_var.php";
	}
	echo "<tr>\n";
	echo "<td>".$user_field_name."</td>\n";
	echo "<td><input type='text' name='".$data['field_name']."' value='".$data['field_forum']."' size='2' class='textbox' /></td>
	</tr>\n";
}
echo "<tr>
	<td colspan='2' align='center'><input type='submit' class='button' value='Zapisz' /></td>
	</tr>\n";
echo "</table>
	</form>\n";
closetable();

require_once THEMES."templates/footer.php";
?>
